Json::StyledWriter Class Reference

Writes a Value in JSON format in a human friendly way. More...

`#include <json.h>`

Inheritance diagram for Json::StyledWriter:
[legend]
Collaboration diagram for Json::StyledWriter:
[legend]

## Public Member Functions

virtual std::string | write (const Value &root)
| Serialize a Value in JSON format. More...

## Detailed Description

Writes a Value in JSON format in a human friendly way.

The rules for line break and indent are as follow:

- Object value:
  - if empty then print {} without indent and line break
  - if not empty the print '{', line break & indent, print one value per line and then unindent and line break and print '}'.
- Array value:
  - if empty then print [] without indent and line break
  - if the array contains no object value, empty array or some other value types, and all the values fit on one lines, then print the array on a single line.
  - otherwise, it the values do not fit on one line, or the array contains object or non empty array, then print one value per line.

If the Value have comments then they are outputed according to their CommentPlacement.

See also
  Reader, Value, Value::setComment()

## Member Function Documentation

std::string Json::StyledWriter::write | ( | const Value & | root | ) |

virtual

Serialize a Value in JSON format.

Parameters

  root | Value to serialize.

Returns
  String containing the JSON document that represents the root value.

Implements Json::Writer.

The documentation for this class was generated from the following files:

- json.h
- jsoncpp.cpp